Skip to main content
`Ctrl`+`K`

# NEPSetConvergenceTest

Specifies how to compute the error estimate used in the convergence test.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetConvergenceTest(NEP nep,NEPConv conv)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- conv - the type of convergence test, see `NEPConv` for possible values

## Options Database Keys

- -nep_conv_abs - sets the absolute convergence test

- -nep_conv_rel - sets the convergence test relative to the eigenvalue

- -nep_conv_norm - sets the convergence test relative to the matrix norms

- -nep_conv_user - selects the user-defined convergence test

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPGetConvergenceTest()`, `NEPSetConvergenceTestFunction()`, `NEPSetStoppingTest()`, `NEPConv`

## Level

intermediate

## Location

src/nep/interface/nepopts.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages